#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hint
version: 0.4.2.3
id: hint-0.4.2.3-17ec8841f153e8a97a040c0bbb433cf1
key: hint_KkVEsd46zzY0wXaWjkzCLV
license: BSD3
maintainer: jcpetruzza@gmail.com
homepage: http://hub.darcs.net/jcpetruzza/hint
synopsis: Runtime Haskell interpreter (GHC API wrapper)
description:
    This library defines an @Interpreter@ monad. It allows to load Haskell
    modules, browse them, type-check and evaluate strings with Haskell
    expressions and even coerce them into values. The library is
    thread-safe and type-safe (even the coercion of expressions to
    values).
    It is, essentially, a huge subset of the GHC API wrapped in a simpler
    API.
category: Language, Compilers/Interpreters
author: Daniel Gorin
exposed: True
exposed-modules:
    Language.Haskell.Interpreter Language.Haskell.Interpreter.Extension
    Language.Haskell.Interpreter.Unsafe
    Language.Haskell.Interpreter.GHC
    Language.Haskell.Interpreter.GHC.Unsafe
hidden-modules: Hint.GHC Hint.Base Hint.InterpreterT Hint.Compat
                Hint.CompatPlatform Hint.Configuration Hint.Extension Hint.Context
                Hint.Conversions Hint.Eval Hint.Parsers Hint.Reflection
                Hint.Typecheck Hint.Sandbox Hint.SignalHandlers Hint.Util
                Hint.Annotations
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/hint-0.4.2.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/hint-0.4.2.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/hint-0.4.2.3
hs-libraries: HShint-0.4.2.3-KkVEsd46zzY0wXaWjkzCLV
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    exceptions-0.8.0.2-ee397d4a2d409d9e05e24555c5fafbec
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    ghc-7.10.2-74fa8d104ba7a63701e5c054e168d703
    ghc-mtl-1.2.1.0-67a63ed8a6cc73d36070c45f539ac82a
    ghc-paths-0.1.0.9-e11a47cc8ede186c2d1a28148591aa44
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    random-1.1-859a5366f9cc240228128d890d4923be
    unix-2.7.1.0-46aa3510142f1580327fd52821c9f510
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/hint-0.4.2.3/html/hint.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/hint-0.4.2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
